# -*- coding: utf-8 -*-
#
# File: Navigation.py
#
# Copyright (c) 2007 by Atopia VOF, Netherlands, http://www.atopia.nl
# Generator: ArchGenXML Version 1.5.2
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Atopia <info@atopia.nl>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *

try:
    from Products.LinguaPlone.public import *
except ImportError:
    HAS_LINGUAPLONE = False
else:
    HAS_LINGUAPLONE = True


from Products.ATBackRef.BackReferenceField import BackReferenceField, BackReferenceWidget
from Products.UserExperience.config import *

# additional imports from tagged value 'import'
from Products.ATReferenceBrowserWidget.ATReferenceBrowserWidget import ReferenceBrowserWidget

##code-section module-header #fill in your manual code here
##/code-section module-header

schema = Schema((

    ReferenceField(
        name='ToScreens',
        widget=ReferenceBrowserWidget(
            label="To Screens",
            label_msgid='UserExperience_label_ToScreens',
            i18n_domain='UserExperience',
        ),
        allowed_types=('Screen',),
        multiValued=1,
        relationship='fromnavigations_toscreens'
    ),

    ReferenceField(
        name='FromScreens',
        widget=ReferenceBrowserWidget(
            label="From Screens",
            label_msgid='UserExperience_label_FromScreens',
            i18n_domain='UserExperience',
        ),
        allowed_types=('Screen',),
        multiValued=1,
        relationship='tonavigations_fromscreens'
    ),

),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

Navigation_schema = BaseSchema.copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class Navigation(BaseContent):
    """
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseContent,'__implements__',()),)

    # This name appears in the 'add' box
    archetype_name = 'Navigation'

    meta_type = 'Navigation'
    portal_type = 'Navigation'
    allowed_content_types = []
    filter_content_types = 0
    global_allow = 0
    content_icon = 'Navigation.gif'
    immediate_view = 'base_view'
    default_view = 'base_view'
    suppl_views = ()
    typeDescription = "Navigation from one Screen to the next Screen for a certain Use Case."
    typeDescMsgId = 'description_edit_navigation'

    _at_rename_after_creation = True

    schema = Navigation_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    # Methods

registerType(Navigation, PROJECTNAME)
# end of class Navigation

##code-section module-footer #fill in your manual code here
##/code-section module-footer



