# -*- coding: utf-8 -*-
#
# File: Screen.py
#
# Copyright (c) 2007 by Atopia VOF, Netherlands, http://www.atopia.nl
# Generator: ArchGenXML Version 1.5.2
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Atopia <info@atopia.nl>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *

try:
    from Products.LinguaPlone.public import *
except ImportError:
    HAS_LINGUAPLONE = False
else:
    HAS_LINGUAPLONE = True


from Products.ATBackRef.BackReferenceField import BackReferenceField, BackReferenceWidget
from Products.UserExperience.config import *

# additional imports from tagged value 'import'
from Products.ATReferenceBrowserWidget.ATReferenceBrowserWidget import ReferenceBrowserWidget

##code-section module-header #fill in your manual code here
##/code-section module-header

schema = Schema((

    TextField(
        name='Wireframe',
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        default='<table/>',#TODO replace with self.aq_parant.getDefaultWireframe() somewhere in custom edit widtget with condition on this archetype.
        widget=RichWidget(
            description="Wireframe representing the screen offered to the Actor.",
            label='Wireframe',
            label_msgid='UserExperience_label_Wireframe',
            description_msgid='UserExperience_help_Wireframe',
            i18n_domain='UserExperience',
        ),
        required=1,
        default_content_type="text/html",
        default_output_type='text/html'
    ),

    BackReferenceField(
        name='FromNavigations',
        widget=BackReferenceWidget(
            label="From Navigations",
            visible={'view':'invisible','edit':'visible'},
            label_msgid='UserExperience_label_FromNavigations',
            i18n_domain='UserExperience',
        ),
        allowed_types=('Navigation',),
        multiValued=1,
        relationship='fromnavigations_toscreens'
    ),

    BackReferenceField(
        name='InitialScreenForUseCases',
        widget=BackReferenceWidget(
            label="Initial Screen for Use Cases",
            visible={'view':'invisible','edit':'visible'},
            label_msgid='UserExperience_label_InitialScreenForUseCases',
            i18n_domain='UserExperience',
        ),
        allowed_types=('UseCase',),
        multiValued=1,
        relationship='initialscreenforusecases_initialscreen'
    ),

    BackReferenceField(
        name='ToNavigations',
        widget=BackReferenceWidget(
            label="To Navigations",
            visible={'view':'invisible','edit':'visible'},
            label_msgid='UserExperience_label_ToNavigations',
            i18n_domain='UserExperience',
        ),
        allowed_types=('Navigation',),
        multiValued=1,
        relationship='tonavigations_fromscreens'
    ),

),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

Screen_schema = BaseSchema.copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class Screen(BaseContent):
    """
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseContent,'__implements__',()),)

    # This name appears in the 'add' box
    archetype_name = 'Screen'

    meta_type = 'Screen'
    portal_type = 'Screen'
    allowed_content_types = []
    filter_content_types = 0
    global_allow = 0
    content_icon = 'Screen.gif'
    immediate_view = 'base_view'
    default_view = 'base_view'
    suppl_views = ()
    typeDescription = "Detailed design or mock-up representation of a Screen which can be reused in different Use Cases."
    typeDescMsgId = 'description_edit_screen'

    _at_rename_after_creation = True

    schema = Screen_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    # Methods

registerType(Screen, PROJECTNAME)
# end of class Screen

##code-section module-footer #fill in your manual code here
##/code-section module-footer



