# -*- coding: utf-8 -*-
#
# File: UseCase.py
#
# Copyright (c) 2007 by Atopia VOF, Netherlands, http://www.atopia.nl
# Generator: ArchGenXML Version 1.5.2
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Atopia <info@atopia.nl>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *

try:
    from Products.LinguaPlone.public import *
except ImportError:
    HAS_LINGUAPLONE = False
else:
    HAS_LINGUAPLONE = True


from Products.ATBackRef.BackReferenceField import BackReferenceField, BackReferenceWidget
from Products.UserExperience.config import *

# additional imports from tagged value 'import'
from Products.ATReferenceBrowserWidget.ATReferenceBrowserWidget import ReferenceBrowserWidget

##code-section module-header #fill in your manual code here
##/code-section module-header

schema = Schema((

    ReferenceField(
        name='InitialScreen',
        widget=ReferenceBrowserWidget(
            label="Initial Screen",
            visible={'view':'invisible','edit':'visible'},
            label_msgid='UserExperience_label_InitialScreen',
            i18n_domain='UserExperience',
        ),
        allowed_types=('Screen',),
        multiValued=0,
        relationship='initialscreenforusecases_initialscreen'
    ),

    BackReferenceField(
        name='Actors',
        widget=BackReferenceWidget(
            label='Actors',
            label_msgid='UserExperience_label_Actors',
            i18n_domain='UserExperience',
        ),
        allowed_types=('Actor',),
        multiValued=1,
        relationship='actors_usecases'
    ),

),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

UseCase_schema = OrderedBaseFolderSchema.copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class UseCase(OrderedBaseFolder):
    """
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(OrderedBaseFolder,'__implements__',()),)

    # This name appears in the 'add' box
    archetype_name = 'Use Case'

    meta_type = 'UseCase'
    portal_type = 'UseCase'
    allowed_content_types = ['Navigation']
    filter_content_types = 1
    global_allow = 0
    content_icon = 'UseCase.gif'
    immediate_view = 'base_view'
    default_view = 'base_view'
    suppl_views = ()
    typeDescription = "Use Case (or User Story) which offers a Navigation through Screens for certain Actors."
    typeDescMsgId = 'description_edit_usecase'

    _at_rename_after_creation = True

    schema = UseCase_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    # Methods

registerType(UseCase, PROJECTNAME)
# end of class UseCase

##code-section module-footer #fill in your manual code here
##/code-section module-footer



