# -*- coding: utf-8 -*-
#
# File: UserExperience.py
#
# Copyright (c) 2007 by Atopia VOF, Netherlands, http://www.atopia.nl
# Generator: ArchGenXML Version 1.5.2
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Atopia <info@atopia.nl>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *

try:
    from Products.LinguaPlone.public import *
except ImportError:
    HAS_LINGUAPLONE = False
else:
    HAS_LINGUAPLONE = True


from Products.ATBackRef.BackReferenceField import BackReferenceField, BackReferenceWidget
from Products.UserExperience.config import *

# additional imports from tagged value 'import'
from Products.ATReferenceBrowserWidget.ATReferenceBrowserWidget import ReferenceBrowserWidget

##code-section module-header #fill in your manual code here
##/code-section module-header

schema = Schema((

    TextField(
        name='DefaultWireframe',
        allowable_content_types=('text/html', 'text/plain', 'text/structured',),
        widget=RichWidget(
            description="This will be used as default Wireframe when a Screen is created.",
            label="Default Wireframe",
            visible={'view':'invisible','edit':'visible'},
            label_msgid='UserExperience_label_DefaultWireframe',
            description_msgid='UserExperience_help_DefaultWireframe',
            i18n_domain='UserExperience',
        ),
        required=1,
        default_content_type='text/html',
        default='''<style type="text/css">
/* Add the following CSS defintion to ploneCustom.css and add wireframe to list of table class names in kupu configuration. */
.wireframe td {
  vertical-align: top;
  border: 1px solid #000000;
}
td.wireframecenter {
  text-align: center;
}
td.wireframeright {
  text-align: right;
}
</style>
</head>
<table class="wireframe">
<tbody>
<tr>
<td colspan="3">
<table>
<tbody>
<tr>
<td colspan="2" rowspan="2">[logo]</td><td class="wireframeright"><small>
<a href="">site map</a> <a href="">accessibility</a> <a href="">contact</a> <a href="">site setup</a>
</small></td>
</tr>
<tr><td class="wireframeright">
<input type="text" size="8" /> <input type="submit" value="search" />
</td></tr>
</tbody>
</table>
</td>
</tr>
<tr><td colspan="3"><small>
[<a href="">Home</a>] <a href="">News</a> <a href="">Events</a>
</small></td></tr><tr>
<tr><td colspan="3" class="wireframeright"><small>
john <a href="">preferences</a> <a href="">undo</a> <a href="">log out</a> 
</small></td></tr><tr>
<tr><td colspan="3"><small>
your are here: <a href="">home</a>
</small></td></tr><tr>
<td>
<table>
<tbody>
<tr><td><small>
<strong><a href="">navigation</a></strong>
<hr size="0"/>
<ul>
<li>[<a href="">Home</a>]</li>
<li><a href="">News</a></li>
<li><a href="">Events</a></li>
</ul>
</small></td></tr>
<tr><td><small>
<strong><a href="">recent changes</a></strong>
<ul>
<li><a href="">Welcome 2007-01-14</a></li>
<li><a href="">News 2007-01-15</a></li>
<li><a href="">Events 2007-01-16</a></li>
</ul>
<hr size="0"/>
<a href="">All recent changes...</a>
</small></td></tr>
</tbody>
</table>
</td>
<td>
<table>
<tbody>
<tr>
<td>
<h1>Home</h1>
</td>
</tr>
<tr>
<td><strong>Welcome to Plone.</strong><br /><br />Fiant sollemnes in futurum, decima Eodem modo typi qui nunc nobis videntur parum clari fiant sollemnes in futurum; etiam processus dynamicus qui sequitur mutationem consuetudium lectorum Mirum est notare. Decima et quinta decima Eodem modo typi qui nunc nobis videntur parum clari fiant! <br /><br />Mutationem consuetudium lectorum Mirum est notare quam; congue nihil imperdiet doming id quod mazim placerat facer possim assum Typi non habent. Placerat facer possim assum Typi non. Sequitur mutationem consuetudium lectorum Mirum est. Decima et quinta decima Eodem modo typi qui nunc nobis videntur parum. Dynamicus qui sequitur mutationem consuetudium lectorum? Lorem ipsum dolor sit amet consectetuer adipiscing elit sed diam. Formas humanitatis per seacula quarta decima et quinta decima Eodem modo typi qui nunc nobis, fiant sollemnes in futurum? Lorem ipsum dolor sit amet consectetuer adipiscing. <br /><br />Sequitur mutationem consuetudium lectorum Mirum est notare quam littera gothica quam nunc putamus parum claram? Qui facit eorum claritatem Investigationes? Lorem ipsum dolor sit amet. Nobis eleifend option congue nihil imperdiet doming id quod mazim placerat. Eodem modo typi qui nunc nobis videntur parum clari fiant sollemnes in futurum. Assum Typi non habent claritatem insitam est usus legentis in iis! <br /><br />Investigationes demonstraverunt lectores legere me lius quod ii legunt; quod ii legunt saepius Claritas est etiam processus dynamicus qui sequitur mutationem, nulla facilisi Nam liber tempor cum soluta nobis eleifend option congue nihil imperdiet! Id quod mazim placerat facer possim assum Typi non habent claritatem insitam est usus. Lorem ipsum dolor sit amet consectetuer adipiscing elit.</td>
</tr>
<tr>
<td>[page navigation]</td>
</tr>
</tbody>
</table>
</td>
<td>
<table>
<tbody>
<tr><td><small>
<strong><a href="">news</a></strong>
<hr size="0"/>
<ul>
<li><a href="">New site 2007-01-14</a></li>
<li><a href="">Sign up 2007-01-15</a></li>
<li><a href="">Premium member 2007-01-16</a></li>
</ul>
<hr size="0"/>
<a href="">More news...</a>
</small></td></tr>
<tr><td><small>
<strong><a href="">upcoming events</a></strong>
<hr size="0"/>
<ul>
<li><a href="">Celebration 2007-01-14</a></li>
<li><a href="">Discount day 2007-01-15</a></li>
<li><a href="">Seminar 2007-01-16</a></li>
</ul>
<hr size="0"/>
<a href="">Previous events...</a>
<hr size="0"/>
<a href="">Upcoming events...</a>
</small></td></tr>
</tbody>
</table>
</td>
</tr>
<tr><td colspan="3" class="wireframecenter">[footer]</td></tr>
</tbody>
</table>''',
        default_output_type='text/html'
    ),

),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

UserExperience_schema = OrderedBaseFolderSchema.copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class UserExperience(OrderedBaseFolder):
    """
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(OrderedBaseFolder,'__implements__',()),)

    # This name appears in the 'add' box
    archetype_name = 'User Experience'

    meta_type = 'UserExperience'
    portal_type = 'UserExperience'
    allowed_content_types = ['Screen', 'UseCase', 'Actor', 'ATimage']
    filter_content_types = 1
    global_allow = 1
    content_icon = 'UserExperience.gif'
    immediate_view = 'base_view'
    default_view = 'base_view'
    suppl_views = ()
    typeDescription = "Design, document and simulate User Experience."
    typeDescMsgId = 'description_edit_userexperience'

    _at_rename_after_creation = True

    schema = UserExperience_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    # Methods

registerType(UserExperience, PROJECTNAME)
# end of class UserExperience

##code-section module-footer #fill in your manual code here
##/code-section module-footer



